<?php
/**
 * Plugin Name: Warpzone Status Widget
 * Plugin URI: http://www.warpzone.ms
 * Description: Widget, dass den aktuellen Warpzone-Status und die Temperaturen an
 * Version: 0.2
 * Author: Warpzone
 * License: Public Domain / GPL (?)
 */

class WZ_Status extends WP_Widget {

	public function __construct() {
		parent::__construct(
			'wz_status', // Base ID
			__('Warpzone Status Widget', 'wz_status'), // Name
			array( 'classname' => 'wz_status', 'description' => __( 'Zeigt den aktuellen Warpzone-Status und die Temperaturen an.', 'wz_status' ), ) // Args
		);

		if(is_active_widget(false, false, 'wz_status') && !is_admin()) {
			wp_register_script( 'wz-status', plugins_url( '/wz-status.js', __FILE__ ), array('jquery'), true );
			wp_enqueue_script( 'wz-status' );

			wp_register_style( 'wz-status', plugins_url( '/wz-status.css', __FILE__ ) );
			wp_enqueue_style( 'wz-status' );
		}
	}

	public function widget( $args, $instance ) {
		extract($args);
		echo $before_widget;
echo <<<HTML
<ul>
  <li><a class="zonenstatus" href="/api/static">Status: <span id="wankerTuerOffen" class="wankerClosed">Unbekannt</span></a></li>
  <li><a class="zonenstatus" href="/api/static">Lounge: <span id="wankerTempLounge">--</span></a></li>
  <li><a class="zonenstatus" href="/api/static">Werkstatt: <span id="wankerTempWerkstatt">--</span></a></li>
</ul>
HTML;
		echo $after_widget;
	}
}

function wz_status_init() {
	register_widget('WZ_Status');
}

add_action('widgets_init', 'wz_status_init');
